@function get-theme-color($key) {
    @return map-get($theme-colors, $key);
}

@function size-rel($px-value) {
    @return $font-size-base * ($px-value / $html-font-size);
}

@function container-width($name, $breakpoints: $container-max-widths) {
    $min: map-get($breakpoints, $name);

    @return if($min != 0, $min, null);
}

@function breakpoint-min($name, $breakpoints: $grid-breakpoints) {
    $min: map-get($breakpoints, $name);

    @return if($min != 0, $min, null);
}

@function breakpoint-infix($name, $breakpoints: $grid-breakpoints) {
    @return if(breakpoint-min($name, $breakpoints) == null, "", "-#{$name}");
}
